* [gentoo-commits] repo/gentoo:master commit in: app-text/libebook/, app-text/libebook/files/
@ 2020-10-31 9:23 Andreas Sturmlechner
0 siblings, 0 replies; 3+ messages in thread
From: Andreas Sturmlechner @ 2020-10-31 9:23 UTC (permalink / raw
To: gentoo-commits
commit: c4299b3cde284d01ff0ddc2741f53717f8ce9c57
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 30 16:29:25 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Oct 31 09:20:31 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4299b3c
app-text/libebook: Fix build with ICU-68, EAPI-7 bump
Thanks-to: Lars Wendler <polynomial-c <AT> gentoo.org>
Closes: https://bugs.gentoo.org/751925
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
.../libebook/files/libebook-0.1.3-icu-68.patch | 27 ++++++++++
app-text/libebook/libebook-0.1.3-r1.ebuild | 59 ++++++++++++++++++++++
2 files changed, 86 insertions(+)
diff --git a/app-text/libebook/files/libebook-0.1.3-icu-68.patch b/app-text/libebook/files/libebook-0.1.3-icu-68.patch
new file mode 100644
index 00000000000..964b8b7e195
--- /dev/null
+++ b/app-text/libebook/files/libebook-0.1.3-icu-68.patch
@@ -0,0 +1,27 @@
+From 9ea3b4c2552770b66b83d44b6e6ccdd338296316 Mon Sep 17 00:00:00 2001
+From: Lars Wendler <polynomial-c@gentoo.org>
+Date: Fri, 30 Oct 2020 10:52:10 +0100
+Subject: [PATCH] Fix build with icu-68.0
+
+icu-68.1 removed public macro definitions for TRUE and FALSE
+
+Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
+---
+ src/lib/EBOOKCharsetConverter.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/lib/EBOOKCharsetConverter.cpp b/src/lib/EBOOKCharsetConverter.cpp
+index 0d85fa3..c9f8be0 100644
+--- a/src/lib/EBOOKCharsetConverter.cpp
++++ b/src/lib/EBOOKCharsetConverter.cpp
+@@ -124,7 +124,7 @@ bool EBOOKCharsetConverter::convertBytes(const char *const in, const unsigned le
+ m_converterToUTF8.get(), m_converterToUnicode.get(),
+ &outText, outText + out.size(), &inText, inText + length,
+ nullptr, nullptr, nullptr, nullptr,
+- TRUE, TRUE, &status)
++ true, true, &status)
+ ;
+ if (status==U_BUFFER_OVERFLOW_ERROR)
+ {
+--
+2.29.2
diff --git a/app-text/libebook/libebook-0.1.3-r1.ebuild b/app-text/libebook/libebook-0.1.3-r1.ebuild
new file mode 100644
index 00000000000..e3bfee60ab3
--- /dev/null
+++ b/app-text/libebook/libebook-0.1.3-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="libe-book-${PV}"
+inherit autotools flag-o-matic
+
+DESCRIPTION="Library parsing various ebook formats"
+HOMEPAGE="https://sourceforge.net/projects/libebook/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="doc test tools"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ app-text/liblangtag
+ dev-libs/icu:=
+ dev-libs/librevenge
+ dev-libs/libxml2
+ sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+ dev-libs/boost
+ dev-util/gperf
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+ test? ( dev-util/cppunit )
+"
+RDEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=( "${FILESDIR}/${P}-icu-68.patch" )
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --disable-static
+ --disable-werror
+ $(use_with doc docs)
+ $(use_enable test tests)
+ $(use_with tools)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -type f -delete || die
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-text/libebook/, app-text/libebook/files/
@ 2020-10-31 9:23 Andreas Sturmlechner
0 siblings, 0 replies; 3+ messages in thread
From: Andreas Sturmlechner @ 2020-10-31 9:23 UTC (permalink / raw
To: gentoo-commits
commit: cdc78e287de256ad82dbf3a42e8e9bd38afe478d
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 30 16:22:43 2020 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Oct 31 09:20:31 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cdc78e28
app-text/libebook: Drop 0.1.2-r1
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
app-text/libebook/Manifest | 1 -
.../files/libebook-0.1.2-boost-1.59-makefile.patch | 10 ----
app-text/libebook/files/libebook-0.1.2-tests.patch | 27 ----------
app-text/libebook/libebook-0.1.2-r1.ebuild | 63 ----------------------
4 files changed, 101 deletions(-)
diff --git a/app-text/libebook/Manifest b/app-text/libebook/Manifest
index b9dc46f930d..640e6982bbf 100644
--- a/app-text/libebook/Manifest
+++ b/app-text/libebook/Manifest
@@ -1,2 +1 @@
-DIST libe-book-0.1.2.tar.bz2 465922 BLAKE2B 11898cb34d41a6abbf256ed8a7ff44006f239616987ca5883a8a611041bcda2cce221acc00c57cd36d94f8c26510889df3206ca4f071c23ae272262938e2c396 SHA512 82982874f9c0f5e400166e9367a4b6017cf11bbd69e2e79240137385a5d68ddea08f13676f8c5d0e983f441de17cda9f4b5f7c90c5cb3515e319de638edf3a38
DIST libe-book-0.1.3.tar.bz2 510498 BLAKE2B e29f9f80a85210447494af20cf30ce7f231ef43f40af9683df7f63e172f5ff8d944d74b995b5850856b2736044b1a5a1ac386262e52a48575325339224a1d339 SHA512 9afa2949f702a34fd6278145ce8d18d504326ed5a103bbc872d0493fcf3e2166d41d094bb0d74b80aa913ca6d082f5bd3259799a4a3c7359331ccdfa1e029a21
diff --git a/app-text/libebook/files/libebook-0.1.2-boost-1.59-makefile.patch b/app-text/libebook/files/libebook-0.1.2-boost-1.59-makefile.patch
deleted file mode 100644
index 9869b308c73..00000000000
--- a/app-text/libebook/files/libebook-0.1.2-boost-1.59-makefile.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- a/src/lib/Makefile.am
-+++ b/src/lib/Makefile.am
-@@ -64,6 +64,7 @@
- libe_book_@EBOOK_MAJOR_VERSION@_@EBOOK_MINOR_VERSION@_la_SOURCES = \
- EBOOKDocument.cpp
-
-+libe_book_internal_la_CPPFLAGS = -DBOOST_ERROR_CODE_HEADER_ONLY -DBOOST_SYSTEM_NO_DEPRECATED
- libe_book_internal_la_SOURCES = \
- EBOOKBitStream.cpp \
- EBOOKBitStream.h \
diff --git a/app-text/libebook/files/libebook-0.1.2-tests.patch b/app-text/libebook/files/libebook-0.1.2-tests.patch
deleted file mode 100644
index 624051a757a..00000000000
--- a/app-text/libebook/files/libebook-0.1.2-tests.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-From 263d95ce191421a51d4b2d088297700032a8987b Mon Sep 17 00:00:00 2001
-From: eroen <eroen@occam.eroen.eu>
-Date: Mon, 19 Dec 2016 19:53:15 +0100
-Subject: [PATCH] Check for librevenge-stream if tests are enabled
-
-X-Gentoo-Bug: 603098
-X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=603098
----
- configure.ac | 2 ++
- 1 file changed, 2 insertions(+)
-
-diff --git a/configure.ac b/configure.ac
-index 6e00ed5..ecbd14b 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -357,6 +357,8 @@ AS_IF([test "x$with_tools" = "xyes"],[
- PKG_CHECK_MODULES([REVENGE_GENERATORS],[
- librevenge-generators-0.0
- ])
-+])
-+AS_IF([test "x$with_tools" = "xyes" || test "x$enable_tests" = "xyes"],[
- PKG_CHECK_MODULES([REVENGE_STREAM],[
- librevenge-stream-0.0
- ])
---
-2.11.0
-
diff --git a/app-text/libebook/libebook-0.1.2-r1.ebuild b/app-text/libebook/libebook-0.1.2-r1.ebuild
deleted file mode 100644
index d7fb8e60918..00000000000
--- a/app-text/libebook/libebook-0.1.2-r1.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-MY_PN="libe-book"
-MY_P="${MY_PN}-${PV}"
-
-inherit autotools flag-o-matic
-
-DESCRIPTION="Library parsing various ebook formats"
-HOMEPAGE="https://www.sourceforge.net/projects/libebook/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
-
-LICENSE="MPL-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 x86"
-IUSE="doc test tools"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- dev-libs/icu:=
- dev-libs/librevenge
- dev-libs/libxml2
- sys-libs/zlib
-"
-DEPEND="${RDEPEND}
- dev-libs/boost
- dev-util/gperf
- virtual/pkgconfig
- doc? ( app-doc/doxygen )
- test? ( dev-util/cppunit )
-"
-RDEPEND="${RDEPEND}"
-
-S="${WORKDIR}/${MY_P}"
-
-PATCHES=(
- "${FILESDIR}/${P}-boost-1.59-makefile.patch"
- "${FILESDIR}/${P}-tests.patch"
-)
-
-src_prepare() {
- default
- eautoreconf
-}
-
-src_configure() {
- # bug 618854
- append-cxxflags -std=c++14
-
- econf \
- --disable-static \
- --disable-werror \
- $(use_with doc docs) \
- $(use_enable test tests) \
- $(use_with tools)
-}
-
-src_install() {
- default
- find "${D}" -name '*.la' -delete || die
-}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-text/libebook/, app-text/libebook/files/
@ 2020-10-31 11:05 David Seifert
0 siblings, 0 replies; 3+ messages in thread
From: David Seifert @ 2020-10-31 11:05 UTC (permalink / raw
To: gentoo-commits
commit: a228bb748aa2c136269471a8efe74bee45a17af0
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 31 11:04:52 2020 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Oct 31 11:04:52 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a228bb74
app-text/libebook: Add patch for icu 68.1
Closes: https://bugs.gentoo.org/751925
Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: David Seifert <soap <AT> gentoo.org>
app-text/libebook/files/libebook-0.1.3-icu68.patch | 28 ++++++++++++++++++++++
app-text/libebook/libebook-0.1.3.ebuild | 2 ++
2 files changed, 30 insertions(+)
diff --git a/app-text/libebook/files/libebook-0.1.3-icu68.patch b/app-text/libebook/files/libebook-0.1.3-icu68.patch
new file mode 100644
index 00000000000..5fef619fbf9
--- /dev/null
+++ b/app-text/libebook/files/libebook-0.1.3-icu68.patch
@@ -0,0 +1,28 @@
+From 9ea3b4c2552770b66b83d44b6e6ccdd338296316 Mon Sep 17 00:00:00 2001
+From: Lars Wendler <polynomial-c@gentoo.org>
+Date: Fri, 30 Oct 2020 10:52:10 +0100
+Subject: [PATCH] Fix build with icu-68.0
+
+icu-68.1 removed public macro definitions for TRUE and FALSE
+
+Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
+---
+ src/lib/EBOOKCharsetConverter.cpp | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/lib/EBOOKCharsetConverter.cpp b/src/lib/EBOOKCharsetConverter.cpp
+index 0d85fa3..c9f8be0 100644
+--- a/src/lib/EBOOKCharsetConverter.cpp
++++ b/src/lib/EBOOKCharsetConverter.cpp
+@@ -124,7 +124,7 @@ bool EBOOKCharsetConverter::convertBytes(const char *const in, const unsigned le
+ m_converterToUTF8.get(), m_converterToUnicode.get(),
+ &outText, outText + out.size(), &inText, inText + length,
+ nullptr, nullptr, nullptr, nullptr,
+- TRUE, TRUE, &status)
++ true, true, &status)
+ ;
+ if (status==U_BUFFER_OVERFLOW_ERROR)
+ {
+--
+2.29.2
+
diff --git a/app-text/libebook/libebook-0.1.3.ebuild b/app-text/libebook/libebook-0.1.3.ebuild
index ebf1a337366..227b6d2509c 100644
--- a/app-text/libebook/libebook-0.1.3.ebuild
+++ b/app-text/libebook/libebook-0.1.3.ebuild
@@ -36,6 +36,8 @@ RDEPEND="${RDEPEND}"
S="${WORKDIR}/${MY_P}"
+PATCHES=( "${FILESDIR}"/${P}-icu68.patch )
+
src_prepare() {
default
eautoreconf
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2020-10-31 11:05 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-10-31 11:05 [gentoo-commits] repo/gentoo:master commit in: app-text/libebook/, app-text/libebook/files/ David Seifert
-- strict thread matches above, loose matches on Subject: below --
2020-10-31 9:23 Andreas Sturmlechner
2020-10-31 9:23 Andreas Sturmlechner
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox